Subject: Re: [PATCH] [sis900] convert to NAPI, WAS Re: pktgen terminating condition

From: James Chapman <[email-masked]>
Date: Wed, 05 Sep 2007 13:03:21 +0100

Mandeep Singh Baines wrote:
> Daniele Venzano ([email-masked]) wrote:
>> The patch looks good and I think it can be pushed higher (-mm ?) for some wider 
>> testing. I don't have the hardware available to do some tests myself, 
>> unfortunately, but it would be similar to yours anyway.
>>
>> I'd like to know how this works for people with less memory and slower CPU, but any 
>> kind of test run will be appreciated.
> 
> Hi Daniele,
> 
> I tested the driver under different setting of CPU clock. Under a lower clock,
> I get less interrupts (what I was hoping for) and slightly less performance.
> Under higher clock, I get better performance and almost 1 interrupt per packet.

I have a patch that solves the high interrupt rate problem by keeping 
the driver in polled mode longer. It's written for the latest NAPI 
version that DaveM posted recently. I'll try to get some time to write 
it up and post it for comment.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development